Bug Hunting Session
Bug 87679 - Formula Editor experimental Visual editor mode needs to be finished with full buffering to eliminate annoying blinking
Summary: Formula Editor experimental Visual editor mode needs to be finished with full...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86 (IA32) Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on: HarfBuzz
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2014-12-24 13:09 UTC by Ekaterina
Modified: 2016-11-06 20:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ekaterina 2014-12-24 13:09:27 UTC
When you click "MATH Formula Doc" and see a new document and area with tools.
The area where displayed variants of formulas, the windows with variants is really so blinking. And when you change a kind of formulas, the area is still blinking.
Comment 1 Buovjaga 2015-03-06 12:04:36 UTC
You mean when you move your mouse over them, they are flashing/refreshing annoyingly?
I can confirm that on Windows, but not on Linux.

Lowering priority as this is just a small eyesore: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+ (x64)
Build ID: 5a009a4387a84a36d2e3418c7e7b097cb10c3f5a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-03-04_15:00:21
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.4.1.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 2 V Stuart Foote 2015-03-07 23:06:58 UTC
That will only occur when Tools -> Options -> Advanced: "Enable Experimental Features" is checked on, activating the non-double buffered "Visual" formula editor.

In normal mode, with our without the formula cursor active, there is no visual annoyance.

Please retest both with and without Enable Experimental Features to see the difference.

At some point work is needed to resolve the display paint buffering issue.
Comment 3 Buovjaga 2015-03-08 15:30:22 UTC
(In reply to V Stuart Foote from comment #2)
> That will only occur when Tools -> Options -> Advanced: "Enable Experimental
> Features" is checked on, activating the non-double buffered "Visual" formula
> editor.

You are right. No blinking for me on Windows, LibO 4.4.1.
Comment 4 tommy27 2016-04-16 07:23:03 UTC Comment hidden (obsolete)
Comment 5 V Stuart Foote 2016-10-29 19:17:30 UTC
This remains a valid issue. AFIR it is an issue with lackof double buffering when in the experimental visual mode.
Comment 6 V Stuart Foote 2016-11-06 20:28:42 UTC
Commits implementing HarfBuzz common layout for bug 89870 have resolved this.

Using HarfBuzz common layout with OpenGL rendering lack of double buffering is no longer a problem.

With GDI+ default rendering still a bit too much flicker. But for folks with OpenGL rendering capabilities this is fixed.

Although it still needs some work in general the "visual" editor could probably be moved from experimental feature status with this change in layout engine.